Ask Your Question

qmfoam's profile - activity

2021-01-09 21:24:19 +0100 received badge  Student (source)
2021-01-09 16:56:35 +0100 answered a question SageMath 9.2 installation issue

Thanks for the response.

I tried the fix_mac_sage9_2.tgz and the jupyter server still does not start. The same error occurs.

2021-01-08 00:59:49 +0100 asked a question SageMath 9.2 installation issue

Facts: I am running mac os version 11.1. I have anaconda navigator 1.10.0 installed

I am trying to get sagemath 9.2 installed using sage-9.2-OSX_10.15.7-x86_64.app.dmg

Installation seems to go find. When I start SageMath-9.2.app i get a "jupyter server failed to start” error.

The relevant part of the error log is

Traceback (most recent call last): File "/Applications/SageMath-9.2.app/Contents/Resources/sage/local/lib/python3.8/site-packages/sage/repl/ipython_kernel/install.py", line 307, in have_prerequisites from notebook.notebookapp import NotebookApp File "/Applications/SageMath-9.2.app/Contents/Resources/sage/local/lib/python3.8/site-packages/notebook/notebookapp.py", line 66, in <module> from tornado import httpserver File "/Applications/SageMath-9.2.app/Contents/Resources/sage/local/lib/python3.8/site-packages/tornado/httpserver.py", line 29, in <module> import ssl File "/Applications/SageMath-9.2.app/Contents/Resources/sage/local/lib/python3.8/ssl.py", line 98, in <module> import _ssl # if we can't import it, let the error propagate ModuleNotFoundError: No module named '_ssl' ┌────────────────────────────────────────────────────────────────────┐ │ SageMath version 9.2, Release Date: 2020-10-24 │ │ Using Python 3.8.5. Type "help()" for help. │ └────────────────────────────────────────────────────────────────────┘ Please wait while the Sage Jupyter Notebook server starts...

The Jupyter notebook requires ssl, even if you do not use https. Install the openssl development packages in your system and

then rebuild Python (sage -f python3).

I understand that the system is looking for ssl. It is installed in the anaconda stack but I will download and install the openssl development packages.

The question is: where should these packages be installed?

Tnx